Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 240)
+++ admin/preferences.php	(revision 244)
@@ -38,4 +38,7 @@
 $core->auth->user_prefs->addWorkspace('interface');
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
+if ($core->auth->isSuperAdmin()) {
+	$user_ui_hide_std_favicon = $core->auth->user_prefs->interface->hide_std_favicon;
+}
 
 $default_tab = 'user-profile';
@@ -149,4 +152,8 @@
 		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_acc_nodragdrop']),'boolean');
 		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
+		if ($core->auth->isSuperAdmin()) {
+			# Applied to all users
+			$core->auth->user_prefs->interface->put('hide_std_favicon',!empty($_POST['user_ui_hide_std_favicon']),'boolean',null,true,true);
+		}
 		
 		# Udate user
@@ -326,4 +333,6 @@
 echo '<h2>'.$page_title.'</h2>';
 
+$tabindex = 2;
+
 # User profile
 echo '<div class="multi-part" id="user-profile" title="'.__('My profile').'">';
@@ -335,17 +344,17 @@
 '<div class="col">'.
 '<p><label for="user_name">'.__('Last Name:').
-form::field('user_name',20,255,html::escapeHTML($user_name),'',2).'</label></p>'.
+form::field('user_name',20,255,html::escapeHTML($user_name),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_firstname">'.__('First Name:').
-form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',3).'</label></p>'.
+form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_displayname">'.__('Display name:').
-form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',4).'</label></p>'.
+form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_email">'.__('Email:').
-form::field('user_email',20,255,html::escapeHTML($user_email),'',5).'</label></p>'.
+form::field('user_email',20,255,html::escapeHTML($user_email),'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_url">'.__('URL:').
-form::field('user_url',30,255,html::escapeHTML($user_url),'',6).'</label></p>'.
+form::field('user_url',30,255,html::escapeHTML($user_url),'',$tabindex++).'</label></p>'.
 
 '</div>'.
@@ -354,8 +363,8 @@
 
 '<p><label for="user_lang">'.__('User language:').
-form::combo('user_lang',$lang_combo,$user_lang,'l10n',10).'</label></p>'.
+form::combo('user_lang',$lang_combo,$user_lang,'l10n',$tabindex++).'</label></p>'.
 
 '<p><label for="user_tz">'.__('User timezone:').
-form::combo('user_tz',dt::getZones(true,true),$user_tz,'',11).'</label></p>'.
+form::combo('user_tz',dt::getZones(true,true),$user_tz,'',$tabindex++).'</label></p>'.
 
 '</div>'.
@@ -371,8 +380,8 @@
 	
 	'<p><label for="new_pwd">'.__('New password:').
-	form::password('new_pwd',20,255,'','',30).'</label></p>'.
+	form::password('new_pwd',20,255,'','',$tabindex++).'</label></p>'.
 	
 	'<p><label for="new_pwd_c">'.__('Confirm password:').
-	form::password('new_pwd_c',20,255,'','',31).'</label></p>'.
+	form::password('new_pwd_c',20,255,'','',$tabindex++).'</label></p>'.
 	'</fieldset>'.
 	
@@ -380,5 +389,5 @@
 	'<p>'.__('If you want to change your email or password you must provide your current password.').'</p>'.
 	'<p><label for="cur_pwd">'.__('Your password:').
-	form::password('cur_pwd',20,255,'','',32).'</label></p>'.
+	form::password('cur_pwd',20,255,'','',$tabindex++).'</label></p>'.
 	'</fieldset>';
 }
@@ -400,20 +409,29 @@
 
 '<p><label for="user_post_format">'.__('Preferred format:').
-form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',7).'</label></p>'.
+form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_post_status">'.__('Default entry status:').
-form::combo('user_post_status',$status_combo,$user_post_status,'',8).'</label></p>'.
+form::combo('user_post_status',$status_combo,$user_post_status,'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_edit_size">'.__('Entry edit field height:').
-form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',9).'</label></p>'.
+form::field('user_edit_size',5,4,(integer) $user_options['edit_size'],'',$tabindex++).'</label></p>'.
 
 '<p><label for="user_wysiwyg" class="classic">'.
-form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',12).' '.
+form::checkbox('user_wysiwyg',1,$user_options['enable_wysiwyg'],'',$tabindex++).' '.
 __('Enable WYSIWYG mode').'</label></p>'.
 
 '<p><label for="user_ui_enhanceduploader" class="classic">'.
-form::checkbox('user_ui_enhanceduploader',1,$user_ui_enhanceduploader,'',13).' '.
-__('Activate enhanced uploader in media manager').'</label></p>'.
-
+form::checkbox('user_ui_enhanceduploader',1,$user_ui_enhanceduploader,'',$tabindex++).' '.
+__('Activate enhanced uploader in media manager').'</label></p>';
+
+if ($core->auth->isSuperAdmin()) {
+	echo
+	'<p><label for="user_ui_hide_std_favicon" class="classic">'.
+	form::checkbox('user_ui_hide_std_favicon',1,$user_ui_hide_std_favicon,'',$tabindex++).' '.
+	__('Do not use standard favicon').'</label></p>'.
+	'<p class="clear form-note info">'.__('This will be applied for all users').'</p>';
+}
+
+echo 
 '<br class="clear" />'. //Opera sucks
 '</fieldset>';
@@ -423,5 +441,5 @@
 
 '<p><label for="user_acc_nodragdrop" class="classic">'.
-form::checkbox('user_acc_nodragdrop',1,$user_acc_nodragdrop,'',14).' '.
+form::checkbox('user_acc_nodragdrop',1,$user_acc_nodragdrop,'',$tabindex++).' '.
 __('Disable javascript powered drag and drop for ordering items').'</label></p>'.
 
@@ -433,13 +451,13 @@
 
 '<p><label for="user_dm_doclinks" class="classic">'.
-form::checkbox('user_dm_doclinks',1,$user_dm_doclinks,'',15).' '.
+form::checkbox('user_dm_doclinks',1,$user_dm_doclinks,'',$tabindex++).' '.
 __('Display documentation links').'</label></p>'.
 
 '<p><label for="user_dm_dcnews" class="classic">'.
-form::checkbox('user_dm_dcnews',1,$user_dm_dcnews,'',16).' '.
+form::checkbox('user_dm_dcnews',1,$user_dm_dcnews,'',$tabindex++).' '.
 __('Display Dotclear news').'</label></p>'.
 
 '<p><label for="user_dm_quickentry" class="classic">'.
-form::checkbox('user_dm_quickentry',1,$user_dm_quickentry,'',17).' '.
+form::checkbox('user_dm_quickentry',1,$user_dm_quickentry,'',$tabindex++).' '.
 __('Display quick entry form').'</label></p>'.
 
